using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using WebSocket.Clients;
using WebSocket.Interfaces;

namespace Knoks.CryptoExchanges.ExchangeClients
{
    interface IExchangeContainer
    {
        Task InitClient(UpdateData saveDataEvent);
        Task RequestPairsData(List<Tuple<string, string>> pairs);
        Task Reconnect();
        Task CloseConnection();
        IDictionary<string, string> ReplaceSymbols { get; set; }
    }
}
